Bug 60442 - REGRESSION (r85795): platform/win/plugins/window-geometry-initialized-before-set-window.html and platform/win/plugins/window-region-is-set-to-clip-rect.html failing on Windows 7 Release (WebKit2 Tests)
: REGRESSION (r85795): platform/win/plugins/window-geometry-initialized-before-...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: All Windows 7
: P2 Normal
Assigned To: Nobody
: InRadar, LayoutTestFailure, PlatformOnly, Regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-07 16:58 PDT by Jessie Berlin
Modified: 2011-05-10 10:53 PDT (History)
7 users (show)

See Also:


Attachments
Update some plugin tests to work with WebKit2's asynchronous windowed plugin positioning on Windows (19.90 KB, patch)
2011-05-10 08:44 PDT, Adam Roben (:aroben)
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jessie Berlin 2011-05-07 17:58:40 PDT
I am going to commit the expected failing results in order to get the bots green.
Comment 2 Jessie Berlin 2011-05-07 18:35:18 PDT
Committed the expected failing results in http://trac.webkit.org/changeset/86019
Comment 3 Jessie Berlin 2011-05-07 18:35:44 PDT
<rdar://problem/9403200>
Comment 4 Adam Roben (:aroben) 2011-05-09 06:03:18 PDT
Big ol' fail on my part. Thanks for cleaning up the mess, Jessie. I'll look into these failures today.
Comment 5 Adam Roben (:aroben) 2011-05-09 06:55:57 PDT
I think we can relax these tests such that they still pass in WebKit2 and would start failing if either of the bugs they are tests for were reintroduced. At this point I see no evidence that they are indicative of real-world bugs in WebKit2.
Comment 6 Adam Roben (:aroben) 2011-05-10 07:55:38 PDT
platform/win/plugins/window-geometry-initialized-before-set-window.html is easy to fix. We should just check the window's size and stop caring about its position.

platform/win/plugins/window-region-is-set-to-clip-rect.html is harder. In WebKit2, the plugin window's region won't be set until the UI process paints. But we don't have a good way to wait for that to happen, or to ensure that it happens in a certain order.
Comment 7 Adam Roben (:aroben) 2011-05-10 08:32:12 PDT
(In reply to comment #6)
> platform/win/plugins/window-region-is-set-to-clip-rect.html is harder. In WebKit2, the plugin window's region won't be set until the UI process paints. But we don't have a good way to wait for that to happen, or to ensure that it happens in a certain order.

A timer seems to work around the issue. (Lame!)
Comment 8 Adam Roben (:aroben) 2011-05-10 08:44:06 PDT
Created attachment 92959 [details]
Update some plugin tests to work with WebKit2's asynchronous windowed plugin positioning on Windows
Comment 9 Adam Roben (:aroben) 2011-05-10 08:53:12 PDT
Committed r86157: <http://trac.webkit.org/changeset/86157>
Comment 10 WebKit Review Bot 2011-05-10 10:53:27 PDT
http://trac.webkit.org/changeset/86157 might have broken SnowLeopard Intel Release (WebKit2 Tests)
The following tests are not passing:
fast/frames/flattening/frameset-flattening-subframesets.html